[med-svn] [gubbins] 01/01: add autopkgtests

Sascha Steinbiss satta at debian.org
Wed Jul 20 13:08:14 UTC 2016


This is an automated email from the git hooks/post-receive script.

satta pushed a commit to branch master
in repository gubbins.

commit 5324ed70b64f2874bad0a257873407c403847939
Author: Sascha Steinbiss <satta at debian.org>
Date:   Wed Jul 20 13:03:00 2016 +0000

    add autopkgtests
---
 debian/control           |  1 +
 debian/tests/control     |  3 +++
 debian/tests/run-example | 17 +++++++++++++++++
 3 files changed, 21 insertions(+)

diff --git a/debian/control b/debian/control
index 32fe457..5141d1f 100644
--- a/debian/control
+++ b/debian/control
@@ -20,6 +20,7 @@ Build-Depends: debhelper (>= 9),
                python3-nose,
                pkg-config
 Standards-Version: 3.9.8
+Testsuite: autopkgtest
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/gubbins.git
 Vcs-Git: https://anonscm.debian.org/git/debian-med/gubbins.git
 Homepage: https://sanger-pathogens.github.io/gubbins/
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..1140d71
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: run-example
+Depends: @
+Restrictions: allow-stderr
diff --git a/debian/tests/run-example b/debian/tests/run-example
new file mode 100755
index 0000000..7e93c67
--- /dev/null
+++ b/debian/tests/run-example
@@ -0,0 +1,17 @@
+#!/bin/sh
+# autopkgtest check: Run test data through Gubbins
+# Author: Sascha Steinbiss <satta at debian.org>
+set -e
+
+TESTDIR=$(pwd)/tests/data
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+
+cp $TESTDIR/*aln .
+
+for f in alignment_file_multiple_lines_per_sequence.aln alignment_file_one_line_per_sequence.aln alignment_file_with_n.aln multiple_recombinations.aln no_recombinations.aln one_recombination.aln; do
+  echo "##### $f #####"
+  cp $TESTDIR/$f .
+  run_gubbins $f
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-med/gubbins.git



More information about the debian-med-commit mailing list